//------------------------------------------------------
//
//   Greg's Lighting - IC2
//
//------------------------------------------------------

package gcewing.lighting.ic2;

import net.minecraft.block.*;
import net.minecraft.creativetab.*;
import net.minecraft.init.*;
import net.minecraft.item.*;
import net.minecraft.item.crafting.*;
import net.minecraft.world.*;
import cpw.mods.fml.common.registry.*;
import ic2.api.item.IC2Items;
//import ic2.core.IC2;
import gcewing.lighting.*;

public class GregsLightingIC2 {

	public static BlockFloodlight floodlightIC2, floodlightIC2on;
	public static ItemStack tinCable, insulatedCopperCable;
	public static Item ic2Bulb;
	public static Item ic2Filament;

	static GregsLighting mod;

	public static void preInit() {
		mod = GregsLighting.mod;
	}
	
	public static void registerBlocks() {
		floodlightIC2 = mod.addBlock(new BlockFloodlightIC2(false), "ic2ElectricFloodlight");
		floodlightIC2on = mod.addBlock(new BlockFloodlightIC2(true), "ic2ElectricFloodlightOn");
	}
	
	public static void registerItems() {
		ic2Bulb = mod.newItem("glowstoneBulb");
		ic2Filament = mod.newItem("ic2FilamentAssembly");
	}

	public static void registerRecipes() {
		try {
			getItems();
		}
		catch (MissingItem e) {
			System.out.printf("GregsLighting: Not all IC2 items available\n");
			return;
		}
		mod.newRecipe(ic2Filament, 1, " t ", "t t", "cic",
			't', tinCable, 'i', insulatedCopperCable, 'c', "ingotCopper");
		mod.newRecipe(ic2Bulb, 1, "rGr", "GfG",
			'G', Blocks.glass, 'f', ic2Filament, 'r', Items.redstone);
		mod.newRecipe(floodlightIC2, 1, "IrI", "IbI", "GGG",
			'I', Items.iron_ingot, 'r', Items.redstone, 'b', ic2Bulb, 'G', Blocks.glass);
	}
	
	static void getItems() throws MissingItem {
		tinCable = ic2Item("tinCableItem");
		insulatedCopperCable = ic2Item("insulatedCopperCableItem");
	}
	
	static ItemStack ic2Item(String name) throws MissingItem {
		ItemStack stack = IC2Items.getItem(name);
		if (stack == null)
			throw new MissingItem();
		return stack;
	}

	public static void explodeMachineAt(World world, int x, int y, int z) {
		//IC2.explodeMachineAt(world, x, y, z);
		world.setBlock(x, y, z, Blocks.air, 0, 0x3);
		world.newExplosion(null, x + 0.5, y + 0.5, z + 0.5, 0.3F, false, true);
	}

}

class MissingItem extends Exception {
}

